Debian Bug report logs - #449473
XFCE4 with libgtk2.0-bin hungs intermitently

version graph

Package: libgtk2.0-bin; Maintainer for libgtk2.0-bin is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libgtk2.0-bin is src:gtk+2.0.

Reported by: Epikuro Libre <epikurolibre@gmail.com>

Date: Mon, 5 Nov 2007 23:06:01 UTC

Severity: important

Found in version gtk+2.0/2.12.1-1

Fixed in version 2.12.1-2

Done: Loïc Minier <lool@dooz.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, epikurolibre@gmail.com, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Epikuro Libre <epikurolibre@gmail.com>:
New Bug report received and forwarded. Copy sent to epikurolibre@gmail.com, Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Epikuro Libre <epikurolibre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: XFCE4 with libgtk2.0-bin hungs intermitently
Date: Tue, 06 Nov 2007 00:01:40 +0100
Package: libgtk2.0-bin
Version: 2.12.1-1
Severity: important


I run lenny on a couple of machines, with XFCE4. I have been quite
happy with it. Recently I wanted to install vlc from sid, so I mixed
versions for a few things including libgtk2.0-bin (which I had to
upgrade from 2.10.x to 2.12.1-1). Then my XFCE4 panel started behaving
in strange ways. It hung after a while if I clicked on it; the mouse
moves but keyboard and mouse clicks do not respond. dmesg does not say
anything, and killing running programs does not solve the issue.
Restarting xfce-session from a remote console solved the problem.

I reverted to 2.10.x and everything was fine again. But
recently libgtk2.0-bin in lenny bumped from 2.10.x to 2.12.1-1, and now
I'm experiencing the same old problems on my main machine (i386).
Today I have seen the same happen on my other machine, a different
architecture (a powerpc macmini) with a similar configuration, so it
seems like a true gtk2.0 issue. If I can do anything further to isolate
the issue I would be happy to.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-486
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgtk2.0-bin depends on:
ii  libgtk2.0-0                   2.12.1-1   The GTK+ graphical user interface 

libgtk2.0-bin recommends no packages.

-- no debconf information




Reply sent to Loïc Minier <lool@dooz.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Epikuro Libre <epikurolibre@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 449473-done@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Epikuro Libre <epikurolibre@gmail.com>, 449473-done@bugs.debian.org
Subject: Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently
Date: Tue, 6 Nov 2007 18:14:58 +0100
Version: 2.12.1-2

        Hi,

 This is fixed in the above version which adds a conflict with the
 relevant Xfce package.

   Bye,
-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #15 received at 449473@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Epikuro <epikurolibre@gmail.com>
Cc: 449473@bugs.debian.org
Subject: Re: Bug#449473 closed by Loïc Minier <lool@dooz.org> (Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently)
Date: Wed, 7 Nov 2007 17:39:29 +0100
On Wed, Nov 07, 2007, Epikuro wrote:
> Where is that version? I don't see it either in testing or in
> unstable. Do you know when it will be available? The bug is against
> testing, I'm not sure how the debian process works but shouldn't it be
> left open until testing is fixed?

 It's in unstable, but not uploaded for i386:
http://buildd.debian.org/~jeroen/status/package.php?suite=unstable&p=gtk%2B2.0

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Epikuro <epikurolibre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #20 received at 449473@bugs.debian.org (full text, mbox):

From: Epikuro <epikurolibre@gmail.com>
To: "Loïc Minier" <lool@dooz.org>
Cc: 449473@bugs.debian.org
Subject: Re: Bug#449473 closed by Loïc Minier <lool@dooz.org> (Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently)
Date: Wed, 7 Nov 2007 20:19:52 +0100
>  It's in unstable, but not uploaded for i386:
> http://buildd.debian.org/~jeroen/status/package.php?suite=unstable&p=gtk%2B2.0

I definitely think that this bug should remain open until it is fixed
in testing. I have a couple of non-functional machines because of
this, and I would love to test the fix.

Thanks a lot,

Epikuro.




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #25 received at 449473@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Epikuro <epikurolibre@gmail.com>
Cc: 449473@bugs.debian.org
Subject: Re: Bug#449473 closed by Loïc Minier <lool@dooz.org> (Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently)
Date: Wed, 7 Nov 2007 20:59:29 +0100
On Wed, Nov 07, 2007, Epikuro wrote:
> I definitely think that this bug should remain open until it is fixed
> in testing. I have a couple of non-functional machines because of
> this, and I would love to test the fix.

 The bug tracking system already understands that the bug isn't fixed
 in testing; we don't need to keep it open in unstable, which is why I
 closed it with the version fixing the bug.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to 449473@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #30 received at 449473@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Epikuro <epikurolibre@gmail.com>, 449473@bugs.debian.org
Subject: Re: Bug#449473: closed by Loïc Minier <lool@dooz.org> (Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently)
Date: Wed, 07 Nov 2007 21:00:34 +0100
[Message part 1 (text/plain, inline)]
Le mercredi 07 novembre 2007 à 20:19 +0100, Epikuro a écrit :
> >  It's in unstable, but not uploaded for i386:
> > http://buildd.debian.org/~jeroen/status/package.php?suite=unstable&p=gtk%2B2.0
> 
> I definitely think that this bug should remain open until it is fixed
> in testing.

Thanks to the BTS' version management, the bug won't appear as fixed in
testing until the corresponding version has propagated.
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Epikuro <epikurolibre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #35 received at 449473@bugs.debian.org (full text, mbox):

From: Epikuro <epikurolibre@gmail.com>
To: "Loïc Minier" <lool@dooz.org>
Cc: 449473@bugs.debian.org
Subject: Re: Bug#449473 closed by Loïc Minier <lool@dooz.org> (Re: Bug#449473: XFCE4 with libgtk2.0-bin hungs intermitently)
Date: Wed, 7 Nov 2007 22:18:32 +0100
>  The bug tracking system already understands that the bug isn't fixed
>  in testing; we don't need to keep it open in unstable, which is why I
>  closed it with the version fixing the bug.

Thanks a lot, Loïc! And keep up the good work. Debian always amazes me.

Epikuro.




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#449473; Package libgtk2.0-bin. Full text and rfc822 format available.

Acknowledgement sent to Epikuro <epikurolibre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #40 received at 449473@bugs.debian.org (full text, mbox):

From: Epikuro <epikurolibre@gmail.com>
To: 449473@bugs.debian.org
Subject: Workaround
Date: Sun, 11 Nov 2007 18:41:27 +0100
For anyone still fighting this bug: ftp-master.debian.org is currently
down, so packages cannot propagate from unstable into testing.
  http://lists.debian.org/debian-infrastructure-announce/2007/11/msg00001.html

The workaround is just to install the unstable version of XFWM:
  http://lwn.net/Articles/258049/
It can be downloaded from here:
  http://packages.debian.org/sid/xfwm4

Cheers,

Epikuro.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jan 2008 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:08:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.